## Index

### Classes

- CombinatorProperties
- MaterialAnyOfStringOrEnumControl
- MaterialTableControl

### Interfaces

- AjvProps
- ArrayLayoutToolbarProps
- CategorizationState
- CategorizationStepperState
- CombinatorPropertiesProps
- DeleteDialogProps
- DispatchPropsOfExpandPanel
- EmptyTableProps
- ExpandPanelProps
- JsonFormsTheme
- MaterialCategorizationLayoutRendererProps
- MaterialCategorizationStepperLayoutRendererProps
- MaterialLayoutRendererProps
- MaterialTableToolbarProps
- MuiTextInputProps
- NonEmptyCellComponentProps
- NonEmptyCellProps
- NonEmptyRowProps
- OwnOneOfProps
- OwnPropsOfExpandPanel
- OwnPropsOfNonEmptyCell
- StatePropsOfExpandPanel
- TableHeaderCellProps
- TableRowsProp
- ValidationProps
- WithDeleteDialogSupport
- WithInput
- WithOptionLabel

### Variables

- ArrayLayoutToolbar
- DeleteDialog
- ExpandPanelRenderer
- GroupComponent
- MaterialArrayLayout
- MaterialLayoutRenderer
- MuiCheckbox
- MuiInputInteger
- MuiInputNumber
- MuiInputNumberFormat
- MuiInputText
- MuiInputTime
- MuiSelect
- MuiToggle
- NonEmptyCellComponent
- NonEmptyRow
- TableHeaderCell
- TableToolbar
- extendedMaterialRenderers
- groupTester
- isSingleLevelCategorization
- materialAllOfControlTester
- materialAnyOfControlTester
- materialAnyOfStringOrEnumControlTester
- materialArrayControlTester
- materialArrayLayoutTester
- materialAutocompleteEnumControlTester
- materialAutocompleteOneOfEnumControlTester
- materialBooleanCellTester
- materialBooleanControlTester
- materialBooleanToggleCellTester
- materialBooleanToggleControlTester
- materialCategorizationStepperTester
- materialCategorizationTester
- materialCells
- materialDateCellTester
- materialDateControlTester
- materialDateTimeControlTester
- materialEnumArrayRendererTester
- materialEnumCellTester
- materialEnumControlTester
- materialGroupTester
- materialHorizontalLayoutTester
- materialIntegerCellTester
- materialIntegerControlTester
- materialLabelRendererTester
- materialListWithDetailTester
- materialNativeControlTester
- materialNumberCellTester
- materialNumberControlTester
- materialNumberFormatCellTester
- materialObjectControlTester
- materialOneOfControlTester
- materialOneOfEnumCellTester
- materialOneOfEnumControlTester
- materialOneOfRadioGroupControlTester
- materialRadioGroupControlTester
- materialRenderers
- materialSliderControlTester
- materialTextCellTester
- materialTextControlTester
- materialTimeCellTester
- materialTimeControlTester
- materialVerticalLayoutTester
- simpleAnyOf

### Functions

- EmptyTable
- ExpandPanelRendererComponent
- ListWithDetailMasterItem
- MaterialAllOfRenderer
- MaterialAnyOfRenderer
- MaterialArrayControlRenderer
- MaterialArrayLayoutComponent
- MaterialArrayLayoutRenderer
- MaterialAutocompleteEnumControl
- MaterialAutocompleteOneOfEnumControl
- MaterialBooleanCell
- MaterialBooleanControl
- MaterialBooleanToggleCell
- MaterialBooleanToggleControl
- MaterialCategorizationLayoutRenderer
- MaterialCategorizationStepperLayoutRenderer
- MaterialDateCell
- MaterialDateControl
- MaterialDateTimeControl
- MaterialEnumArrayRenderer
- MaterialEnumCell
- MaterialEnumControl
- MaterialHorizontalLayoutRenderer
- MaterialInputControl
- MaterialIntegerCell
- MaterialIntegerControl
- MaterialLabelRenderer
- MaterialLayoutRendererComponent
- MaterialListWithDetailRenderer
- MaterialNativeControl
- MaterialNumberCell
- MaterialNumberControl
- MaterialNumberFormatCell
- MaterialObjectRenderer
- MaterialOneOfEnumCell
- MaterialOneOfEnumControl
- MaterialOneOfRadioGroupControl
- MaterialOneOfRenderer
- MaterialRadioGroup
- MaterialRadioGroupControl
- MaterialSliderControl
- MaterialTextCell
- MaterialTextControl
- MaterialTimeCell
- MaterialTimeControl
- MaterialVerticalLayoutRenderer
- MaterializedGroupLayoutRenderer
- MuiAutocomplete
- MuiAutocompleteInputText
- NoBorderTableCell
- NonEmptyCell
- NonEmptyRowComponent
- TableRows
- ValidationIcon
- controlWithoutLabel
- createOnChangeHandler
- ctxDispatchToExpandPanelProps
- ctxToNonEmptyCellProps
- eventToValue
- findEnumSchema
- findTextSchema
- generateCells
- getData
- getValidColumnProps
- hasEnumAndText
- hasEnumItems
- hasOneOfItems
- isLayout
- renderLayoutElements
- toNumber
- useDebouncedChange
- useFocus
- withAjvProps
- withContextToExpandPanelProps
- withJsonFormsExpandPanelProps

### Object literals

- ExtendedUnwrapped
- Unwrapped
- fixedCellSmall
- iconStyle
- style
- styles

## Variables

### Const ArrayLayoutToolbar

ArrayLayoutToolbar: MemoExoticComponent<(Anonymous function)> = React.memo(({label,errors,addItem,path,createDefault}: ArrayLayoutToolbarProps) => {return (<Toolbar disableGutters={true}><Grid container alignItems='center' justify='space-between'><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Hidden smUp={errors.length === 0}><Grid item><ValidationIcon id='tooltip-validation' errorMessages={errors} /></Grid></Hidden><Grid item><Grid container><Grid item><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefault())}><AddIcon /></IconButton></Tooltip></Grid></Grid></Grid></Grid></Toolbar>);})

- Defined in packages/material/src/layouts/ArrayToolbar.tsx:15

### Const DeleteDialog

DeleteDialog: MemoExoticComponent<(Anonymous function)> = React.memo(({ open, onClose, onConfirm, onCancel }: DeleteDialogProps) => {return (<Dialogopen={open}keepMountedonClose={onClose}aria-labelledby='alert-dialog-confirmdelete-title'aria-describedby='alert-dialog-confirmdelete-description'><DialogTitle id='alert-dialog-confirmdelete-title'>{'Confirm Deletion'}</DialogTitle><DialogContent><DialogContentText id='alert-dialog-confirmdelete-description'>Are you sure you want to delete the selected entry?</DialogContentText></DialogContent><DialogActions><Button onClick={onCancel} color='primary'>No</Button><Button onClick={onConfirm} color='primary'>Yes</Button></DialogActions></Dialog>);})

- Defined in packages/material/src/complex/DeleteDialog.tsx:46

### Const ExpandPanelRenderer

ExpandPanelRenderer: MemoExoticComponent<ExpandPanelRendererComponent> = React.memo(ExpandPanelRendererComponent)

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:203

### Const GroupComponent

GroupComponent: MemoExoticComponent<(Anonymous function)> = React.memo(({ visible, enabled, uischema, ...props }: MaterialLayoutRendererProps) => {const groupLayout = uischema as GroupLayout;return (<Hidden xsUp={!visible}><Card style={style}>{!isEmpty(groupLayout.label) && (<CardHeader title={groupLayout.label} />)}<CardContent><MaterialLayoutRenderer {...props} visible={visible} enabled={enabled} elements={groupLayout.elements} /></CardContent></Card></Hidden>);})

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:45

### Const MaterialArrayLayout

MaterialArrayLayout: MemoExoticComponent<MaterialArrayLayoutComponent> = React.memo(MaterialArrayLayoutComponent)

- Defined in packages/material/src/layouts/MaterialArrayLayout.tsx:112

### Const MaterialLayoutRenderer

MaterialLayoutRenderer: MemoExoticComponent<MaterialLayoutRendererComponent> = React.memo(MaterialLayoutRendererComponent)

- Defined in packages/material/src/util/layout.tsx:100

### Const MuiCheckbox

MuiCheckbox: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);const inputProps = { autoFocus: !!appliedUiSchemaOptions.focus };// !! causes undefined value to be converted to false, otherwise has no effectconst checked = !!data;return (<Checkboxchecked={checked}onChange={(_ev, isChecked) => handleChange(path, isChecked)}className={className}id={id}disabled={!enabled}inputProps={inputProps}/>);})

- Defined in packages/material/src/mui-controls/MuiCheckbox.tsx:30

### Const MuiInputInteger

MuiInputInteger: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const inputProps = { step: '1' };const appliedUiSchemaOptions = merge({}, config, uischema.options);const [inputValue, onChange] = useDebouncedChange(handleChange, '', data, path, eventToValue);return (<Inputtype='number'value={inputValue}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}inputProps={inputProps}fullWidth={true}/>);})

- Defined in packages/material/src/mui-controls/MuiInputInteger.tsx:35

### Const MuiInputNumber

MuiInputNumber: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const inputProps = { step: '0.1' };const appliedUiSchemaOptions = merge({}, config, uischema.options);const [inputValue, onChange] = useDebouncedChange(handleChange, '', data, path, eventToValue);return (<Inputtype='number'value={inputValue}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}inputProps={inputProps}fullWidth={true}/>);})

- Defined in packages/material/src/mui-controls/MuiInputNumber.tsx:34

### Const MuiInputNumberFormat

MuiInputNumberFormat: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname & Formatted<number>) => {const {className,id,enabled,uischema,isValid,path,handleChange,schema,config} = props;const maxLength = schema.maxLength;const appliedUiSchemaOptions = merge({}, config, uischema.options);let inputProps;if (appliedUiSchemaOptions.restrict) {inputProps = { maxLength: maxLength };} else {inputProps = {};}const formattedNumber = props.toFormatted(props.data);const validStringNumber = useCallback((ev:any) => props.fromFormatted(ev.currentTarget.value),[props.fromFormatted]);const [inputValue, onChange] = useDebouncedChange(handleChange, '', formattedNumber, path, validStringNumber);return (<Inputtype='text'value={inputValue}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}multiline={appliedUiSchemaOptions.multi}fullWidth={!appliedUiSchemaOptions.trim || maxLength === undefined}inputProps={inputProps}error={!isValid}/>);})

- Defined in packages/material/src/mui-controls/MuiInputNumberFormat.tsx:31

### Const MuiInputText

MuiInputText: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname & MuiTextInputProps) => {const [showAdornment, setShowAdornment] = useState(false);const {data,config,className,id,enabled,uischema,isValid,path,handleChange,schema,muiInputProps,inputComponent} = props;const maxLength = schema.maxLength;const appliedUiSchemaOptions = merge({}, config, uischema.options);let inputProps: InputBaseComponentProps;if (appliedUiSchemaOptions.restrict) {inputProps = { maxLength: maxLength };} else {inputProps = {};}inputProps = merge(inputProps, muiInputProps);if (appliedUiSchemaOptions.trim && maxLength !== undefined) {inputProps.size = maxLength;};const [inputText, onChange, onClear] = useDebouncedChange(handleChange, '', data, path);const onPointerEnter = () => setShowAdornment(true);const onPointerLeave = () => setShowAdornment(false);const theme: JsonFormsTheme = useTheme();const closeStyle = {background: theme.jsonforms?.input?.delete?.background || theme.palette.background.default, borderRadius: '50%'};return (<Inputtype={appliedUiSchemaOptions.format === 'password' ? 'password' : 'text'}value={inputText}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}multiline={appliedUiSchemaOptions.multi}fullWidth={!appliedUiSchemaOptions.trim || maxLength === undefined}inputProps={inputProps}error={!isValid}onPointerEnter={onPointerEnter}onPointerLeave={onPointerLeave}endAdornment={<InputAdornmentposition='end'style={{display:!showAdornment || !enabled || data === undefined ? 'none' : 'flex',position: 'absolute',right: 0}}><IconButtonaria-label='Clear input field'onClick={onClear}><Close style={closeStyle}/></IconButton></InputAdornment>}inputComponent={inputComponent}/>);})

- Defined in packages/material/src/mui-controls/MuiInputText.tsx:40

### Const MuiInputTime

MuiInputTime: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);const [inputValue, onChange] = useDebouncedChange(handleChange, '', data, path);return (<Inputtype='time'value={inputValue}onChange={onChange}className={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}fullWidth={true}/>);})

- Defined in packages/material/src/mui-controls/MuiInputTime.tsx:31

### Const MuiSelect

MuiSelect: MemoExoticComponent<(Anonymous function)> = React.memo((props: EnumCellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,options,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);return (<SelectclassName={className}id={id}disabled={!enabled}autoFocus={appliedUiSchemaOptions.focus}value={data !== undefined ? data : ''}onChange={ev => handleChange(path, ev.target.value)}fullWidth={true}>{[<MenuItem value='' key={'empty'} />].concat(options.map(optionValue => (<MenuItem value={optionValue.value} key={optionValue.value}>{optionValue.label}</MenuItem>)))}</Select>);})

- Defined in packages/material/src/mui-controls/MuiSelect.tsx:32

### Const MuiToggle

MuiToggle: MemoExoticComponent<(Anonymous function)> = React.memo((props: CellProps & WithClassname) => {const {data,className,id,enabled,uischema,path,handleChange,config} = props;const appliedUiSchemaOptions = merge({}, config, uischema.options);const inputProps = { autoFocus: !!appliedUiSchemaOptions.focus };const checked = !!data;return (<Switchchecked={checked}onChange={(_ev, isChecked) => handleChange(path, isChecked)}className={className}id={id}disabled={!enabled}inputProps={inputProps}/>);})

- Defined in packages/material/src/mui-controls/MuiToggle.tsx:30

### Const NonEmptyCellComponent

NonEmptyCellComponent: MemoExoticComponent<(Anonymous function)> = React.memo(({path, propName, schema,rootSchema, errors, enabled, renderers, cells, isValid}:NonEmptyCellComponentProps) => {return (<NoBorderTableCell>{schema.properties ? (<DispatchCellschema={Resolve.schema(schema,`#/properties/${propName}`,rootSchema)}uischema={controlWithoutLabel(`#/properties/${propName}`)}path={path}enabled={enabled}renderers={renderers}cells={cells}/>) : (<DispatchCellschema={schema}uischema={controlWithoutLabel('#')}path={path}enabled={enabled}renderers={renderers}cells={cells}/>)}<FormHelperText error={!isValid}>{!isValid && errors}</FormHelperText></NoBorderTableCell>);})

- Defined in packages/material/src/complex/MaterialTableControl.tsx:209

### Const NonEmptyRow

NonEmptyRow: MemoExoticComponent<NonEmptyRowComponent> = React.memo(NonEmptyRowComponent)

- Defined in packages/material/src/complex/MaterialTableControl.tsx:329

### Const TableHeaderCell

TableHeaderCell: MemoExoticComponent<(Anonymous function)> = React.memo(({ title }: TableHeaderCellProps) => (<TableCell>{title}</TableCell>))

- Defined in packages/material/src/complex/MaterialTableControl.tsx:145

### Const TableToolbar

TableToolbar: MemoExoticComponent<(Anonymous function)> = React.memo(({numColumns,errors,label,path,addItem,schema,enabled}: MaterialTableToolbarProps) => (<TableRow><NoBorderTableCell colSpan={numColumns}><Gridcontainerjustify={'flex-start'}alignItems={'center'}spacing={2}><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Grid item><Hidden smUp={errors.length === 0}><Grid item><ValidationIconid='tooltip-validation'errorMessages={errors}/></Grid></Hidden></Grid></Grid></NoBorderTableCell>{enabled ? (<NoBorderTableCell align='right' style={ fixedCellSmall }><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefaultValue(schema))}><AddIcon /></IconButton></Tooltip></NoBorderTableCell>) : null}</TableRow>))

- Defined in packages/material/src/complex/TableToolbar.tsx:56

### Const extendedMaterialRenderers

extendedMaterialRenderers: JsonFormsRendererRegistryEntry[] = [{tester: materialAutocompleteOneOfEnumControlTester,renderer: MaterialAutocompleteOneOfEnumControl},{tester: materialAutocompleteEnumControlTester,renderer: MaterialAutocompleteEnumControl},...materialRenderers]

- Defined in packages/material/src/extended/index.ts:41

Includes all 'materialRenderers' and adds additional renderers based on '@material-ui/lab'

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:42

### Const isSingleLevelCategorization

isSingleLevelCategorization: Tester = and(uiTypeIs('Categorization'),(uischema: UISchemaElement): boolean => {const categorization = uischema as Categorization;return (categorization.elements &&categorization.elements.reduce((acc, e) => acc && e.type === 'Category',true));})

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:48

### Const materialAllOfControlTester

materialAllOfControlTester: RankedTester = rankWith(3,isAllOfControl)

- Defined in packages/material/src/complex/MaterialAllOfRenderer.tsx:94

### Const materialAnyOfControlTester

materialAnyOfControlTester: RankedTester = rankWith(3,isAnyOfControl)

- Defined in packages/material/src/complex/MaterialAnyOfRenderer.tsx:96

### Const materialAnyOfStringOrEnumControlTester

materialAnyOfStringOrEnumControlTester: RankedTester = rankWith(5,simpleAnyOf)

- Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:132

### Const materialArrayControlTester

materialArrayControlTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in packages/material/src/complex/index.ts:49

### Const materialArrayLayoutTester

materialArrayLayoutTester: RankedTester = rankWith(4,isObjectArrayWithNesting)

- Defined in packages/material/src/layouts/MaterialArrayLayoutRenderer.tsx:78

### Const materialAutocompleteEnumControlTester

materialAutocompleteEnumControlTester: RankedTester = rankWith(10,isEnumControl)

- Defined in packages/material/src/extended/MaterialAutocompleteEnumControl.tsx:50

### Const materialAutocompleteOneOfEnumControlTester

materialAutocompleteOneOfEnumControlTester: RankedTester = rankWith(10,isOneOfEnumControl)

- Defined in packages/material/src/extended/MaterialAutocompleteOneOfEnumControl.tsx:50

### Const materialBooleanCellTester

materialBooleanCellTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in packages/material/src/cells/MaterialBooleanCell.tsx:40

### Const materialBooleanControlTester

materialBooleanControlTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in packages/material/src/controls/MaterialBooleanControl.tsx:77

### Const materialBooleanToggleCellTester

materialBooleanToggleCellTester: RankedTester = rankWith(3,and(isBooleanControl, optionIs('toggle', true)))

- Defined in packages/material/src/cells/MaterialBooleanToggleCell.tsx:42

### Const materialBooleanToggleControlTester

materialBooleanToggleControlTester: RankedTester = rankWith(3,and(isBooleanControl, optionIs('toggle', true)))

- Defined in packages/material/src/controls/MaterialBooleanToggleControl.tsx:79

### Const materialCategorizationStepperTester

materialCategorizationStepperTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory,optionIs('variant', 'stepper')))

- Defined in packages/material/src/layouts/MaterialCategorizationStepperLayout.tsx:48

### Const materialCategorizationTester

materialCategorizationTester: RankedTester = rankWith(1,isSingleLevelCategorization)

- Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:63

### Const materialCells

materialCells: JsonFormsCellRendererRegistryEntry[] = [{ tester: materialBooleanCellTester, cell: MaterialBooleanCell },{ tester: materialBooleanToggleCellTester, cell: MaterialBooleanToggleCell },{ tester: materialDateCellTester, cell: MaterialDateCell },{ tester: materialEnumCellTester, cell: MaterialEnumCell },{ tester: materialIntegerCellTester, cell: MaterialIntegerCell },{ tester: materialNumberCellTester, cell: MaterialNumberCell },{ tester: materialNumberFormatCellTester, cell: MaterialNumberFormatCell },{ tester: materialOneOfEnumCellTester, cell: MaterialOneOfEnumCell },{ tester: materialTextCellTester, cell: MaterialTextCell },{ tester: materialTimeCellTester, cell: MaterialTimeCell }]

- Defined in packages/material/src/index.ts:188

### Const materialDateCellTester

materialDateCellTester: RankedTester = rankWith(2, isDateControl)

- Defined in packages/material/src/cells/MaterialDateCell.tsx:64

### Const materialDateControlTester

materialDateControlTester: RankedTester = rankWith(4,isDateControl)

- Defined in packages/material/src/controls/MaterialDateControl.tsx:126

### Const materialDateTimeControlTester

materialDateTimeControlTester: RankedTester = rankWith(2,isDateTimeControl)

- Defined in packages/material/src/controls/MaterialDateTimeControl.tsx:133

### Const materialEnumArrayRendererTester

materialEnumArrayRendererTester: RankedTester = rankWith(5,and(uiTypeIs('Control'),and(schemaMatches(schema =>hasType(schema, 'array') &&!Array.isArray(schema.items) &&schema.uniqueItems === true),schemaSubPathMatches('items', schema => {return hasOneOfItems(schema) || hasEnumItems(schema);}))))

- Defined in packages/material/src/complex/MaterialEnumArrayRenderer.tsx:94

### Const materialEnumCellTester

materialEnumCellTester: RankedTester = rankWith(2, isEnumControl)

- Defined in packages/material/src/cells/MaterialEnumCell.tsx:44

Default tester for enum controls.

### Const materialEnumControlTester

materialEnumControlTester: RankedTester = rankWith(2,isEnumControl)

- Defined in packages/material/src/controls/MaterialEnumControl.tsx:41

### Const materialGroupTester

materialGroupTester: RankedTester = withIncreasedRank(1,groupTester)

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:81

### Const materialHorizontalLayoutTester

materialHorizontalLayoutTester: RankedTester = rankWith(2,uiTypeIs('HorizontalLayout'))

- Defined in packages/material/src/layouts/MaterialHorizontalLayout.tsx:43

Default tester for a horizontal layout.

### Const materialIntegerCellTester

materialIntegerCellTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in packages/material/src/cells/MaterialIntegerCell.tsx:39

### Const materialIntegerControlTester

materialIntegerControlTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in packages/material/src/controls/MaterialIntegerControl.tsx:39

### Const materialLabelRendererTester

materialLabelRendererTester: RankedTester = rankWith(1, uiTypeIs('Label'))

- Defined in packages/material/src/additional/MaterialLabelRenderer.tsx:43

Default tester for a label.

### Const materialListWithDetailTester

materialListWithDetailTester: RankedTester = rankWith(4,and(uiTypeIs('ListWithDetail'), isObjectArray))

- Defined in packages/material/src/additional/MaterialListWithDetailRenderer.tsx:151

### Const materialNativeControlTester

materialNativeControlTester: RankedTester = rankWith(2,or(isDateControl, isTimeControl))

- Defined in packages/material/src/controls/MaterialNativeControl.tsx:95

### Const materialNumberCellTester

materialNumberCellTester: RankedTester = rankWith(2,isNumberControl)

- Defined in packages/material/src/cells/MaterialNumberCell.tsx:43

Default tester for number controls.

### Const materialNumberControlTester

materialNumberControlTester: RankedTester = rankWith(2,isNumberControl)

- Defined in packages/material/src/controls/MaterialNumberControl.tsx:40

### Const materialNumberFormatCellTester

materialNumberFormatCellTester: RankedTester = rankWith(4,isNumberFormatControl)

- Defined in packages/material/src/cells/MaterialNumberFormatCell.tsx:44

Default tester for text-based/string controls.

### Const materialObjectControlTester

materialObjectControlTester: RankedTester = rankWith(2,isObjectControl)

- Defined in packages/material/src/complex/MaterialObjectRenderer.tsx:83

### Const materialOneOfControlTester

materialOneOfControlTester: RankedTester = rankWith(3, isOneOfControl)

- Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:151

### Const materialOneOfEnumCellTester

materialOneOfEnumCellTester: RankedTester = rankWith(2, isOneOfEnumControl)

- Defined in packages/material/src/cells/MaterialOneOfEnumCell.tsx:44

Default tester for oneOf enum controls.

### Const materialOneOfEnumControlTester

materialOneOfEnumControlTester: RankedTester = rankWith(5,isOneOfEnumControl)

- Defined in packages/material/src/controls/MaterialOneOfEnumControl.tsx:41

### Const materialOneOfRadioGroupControlTester

materialOneOfRadioGroupControlTester: RankedTester = rankWith(20,and(isOneOfEnumControl, optionIs('format', 'radio')))

- Defined in packages/material/src/controls/MaterialOneOfRadioGroupControl.tsx:42

### Const materialRadioGroupControlTester

materialRadioGroupControlTester: RankedTester = rankWith(20,and(isEnumControl, optionIs('format', 'radio')))

- Defined in packages/material/src/controls/MaterialRadioGroupControl.tsx:38

### Const materialRenderers

materialRenderers: JsonFormsRendererRegistryEntry[] = [// controls{tester: materialArrayControlTester,renderer: MaterialArrayControlRenderer},{ tester: materialBooleanControlTester, renderer: MaterialBooleanControl },{ tester: materialBooleanToggleControlTester, renderer: MaterialBooleanToggleControl },{ tester: materialNativeControlTester, renderer: MaterialNativeControl },{ tester: materialEnumControlTester, renderer: MaterialEnumControl },{ tester: materialIntegerControlTester, renderer: MaterialIntegerControl },{ tester: materialNumberControlTester, renderer: MaterialNumberControl },{ tester: materialTextControlTester, renderer: MaterialTextControl },{ tester: materialDateTimeControlTester, renderer: MaterialDateTimeControl },{ tester: materialDateControlTester, renderer: MaterialDateControl },{ tester: materialTimeControlTester, renderer: MaterialTimeControl },{ tester: materialSliderControlTester, renderer: MaterialSliderControl },{ tester: materialObjectControlTester, renderer: MaterialObjectRenderer },{ tester: materialAllOfControlTester, renderer: MaterialAllOfRenderer },{ tester: materialAnyOfControlTester, renderer: MaterialAnyOfRenderer },{ tester: materialOneOfControlTester, renderer: MaterialOneOfRenderer },{tester: materialRadioGroupControlTester,renderer: MaterialRadioGroupControl},{tester: materialOneOfRadioGroupControlTester,renderer: MaterialOneOfRadioGroupControl},{ tester: materialOneOfEnumControlTester, renderer: MaterialOneOfEnumControl },// layouts{ tester: materialGroupTester, renderer: MaterialGroupLayout },{tester: materialHorizontalLayoutTester,renderer: MaterialHorizontalLayout},{ tester: materialVerticalLayoutTester, renderer: MaterialVerticalLayout },{tester: materialCategorizationTester,renderer: MaterialCategorizationLayout},{tester: materialCategorizationStepperTester,renderer: MaterialCategorizationStepperLayout},{ tester: materialArrayLayoutTester, renderer: MaterialArrayLayout },// additional{ tester: materialLabelRendererTester, renderer: MaterialLabelRenderer },{tester: materialListWithDetailTester,renderer: MaterialListWithDetailRenderer},{tester: materialAnyOfStringOrEnumControlTester,renderer: MaterialAnyOfStringOrEnumControl},{tester: materialEnumArrayRendererTester,renderer: MaterialEnumArrayRenderer}]

- Defined in packages/material/src/index.ts:126

### Const materialSliderControlTester

materialSliderControlTester: RankedTester = rankWith(4,isRangeControl)

- Defined in packages/material/src/controls/MaterialSliderControl.tsx:138

### Const materialTextCellTester

materialTextCellTester: RankedTester = rankWith(1,isStringControl)

- Defined in packages/material/src/cells/MaterialTextCell.tsx:44

Default tester for text-based/string controls.

### Const materialTextControlTester

materialTextControlTester: RankedTester = rankWith(1,isStringControl)

- Defined in packages/material/src/controls/MaterialTextControl.tsx:40

### Const materialTimeCellTester

materialTimeCellTester: RankedTester = rankWith(2, isTimeControl)

- Defined in packages/material/src/cells/MaterialTimeCell.tsx:39

### Const materialTimeControlTester

materialTimeControlTester: RankedTester = rankWith(4,isTimeControl)

- Defined in packages/material/src/controls/MaterialTimeControl.tsx:123

### Const materialVerticalLayoutTester

materialVerticalLayoutTester: RankedTester = rankWith(1,uiTypeIs('VerticalLayout'))

- Defined in packages/material/src/layouts/MaterialVerticalLayout.tsx:43

Default tester for a vertical layout.

### Const simpleAnyOf

simpleAnyOf: Tester = and(uiTypeIs('Control'),schemaMatches(schema => schema.hasOwnProperty('anyOf') && hasEnumAndText(schema.anyOf)))

- Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:126

## Functions

### Const EmptyTable

- EmptyTable(__namedParameters: { numColumns: number }): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:133

  #### Parameters

  - ##### __namedParameters: { numColumns: number }

    - ##### numColumns: number

  #### Returns Element

### Const ExpandPanelRendererComponent

- ExpandPanelRendererComponent(props: ExpandPanelProps): Element

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:75

  #### Parameters

  - ##### props: ExpandPanelProps

  #### Returns Element

### Const ListWithDetailMasterItem

- ListWithDetailMasterItem(__namedParameters: { childLabel: string; handleSelect: handleSelect; index: number; path: string; removeItem: removeItem; selected: boolean }): Element

- - Defined in packages/material/src/additional/ListWithDetailMasterItem.tsx:38

  #### Parameters

  - ##### __namedParameters: { childLabel: string; handleSelect: handleSelect; index: number; path: string; removeItem: removeItem; selected: boolean }

    - ##### childLabel: string

    - ##### handleSelect: handleSelect

    - ##### index: number

    - ##### path: string

    - ##### removeItem: removeItem

    - ##### selected: boolean

  #### Returns Element

### Const MaterialAllOfRenderer

- MaterialAllOfRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/complex/MaterialAllOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialAnyOfRenderer

- MaterialAnyOfRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; indexOfFittingSchema: number; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/complex/MaterialAnyOfRenderer.tsx:40

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; indexOfFittingSchema: number; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialArrayControlRenderer

- MaterialArrayControlRenderer(props: ArrayLayoutProps): Element

- - Defined in packages/material/src/complex/MaterialArrayControlRenderer.tsx:32

  #### Parameters

  - ##### props: ArrayLayoutProps

  #### Returns Element

### Const MaterialArrayLayoutComponent

- MaterialArrayLayoutComponent(props: ArrayLayoutProps): Element

- - Defined in packages/material/src/layouts/MaterialArrayLayout.tsx:38

  #### Parameters

  - ##### props: ArrayLayoutProps

  #### Returns Element

### Const MaterialArrayLayoutRenderer

- MaterialArrayLayoutRenderer(__namedParameters: { addItem: addItem; cells: JsonFormsCellRendererRegistryEntry[]; data: number; enabled: boolean; errors: string; id: string; label: string; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/layouts/MaterialArrayLayoutRenderer.tsx:37

  #### Parameters

  - ##### __namedParameters: { addItem: addItem; cells: JsonFormsCellRendererRegistryEntry[]; data: number; enabled: boolean; errors: string; id: string; label: string; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### addItem: addItem

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### data: number

    - ##### enabled: boolean

    - ##### errors: string

    - ##### id: string

    - ##### label: string

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialAutocompleteEnumControl

- MaterialAutocompleteEnumControl(props: ControlProps & OwnPropsOfEnum & WithOptionLabel): Element

- - Defined in packages/material/src/extended/MaterialAutocompleteEnumControl.tsx:39

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum & WithOptionLabel

  #### Returns Element

### Const MaterialAutocompleteOneOfEnumControl

- MaterialAutocompleteOneOfEnumControl(props: ControlProps & OwnPropsOfEnum & WithOptionLabel): Element

- - Defined in packages/material/src/extended/MaterialAutocompleteOneOfEnumControl.tsx:39

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum & WithOptionLabel

  #### Returns Element

### Const MaterialBooleanCell

- MaterialBooleanCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialBooleanCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialBooleanControl

- MaterialBooleanControl(__namedParameters: { config: any; data: any; enabled: boolean; errors: string; handleChange: handleChange; id: string; label: string; path: string; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; visible: boolean }): Element

- - Defined in packages/material/src/controls/MaterialBooleanControl.tsx:37

  #### Parameters

  - ##### __namedParameters: { config: any; data: any; enabled: boolean; errors: string; handleChange: handleChange; id: string; label: string; path: string; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; visible: boolean }

    - ##### config: any

    - ##### data: any

    - ##### enabled: boolean

    - ##### errors: string

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### label: string

    - ##### path: string

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialBooleanToggleCell

- MaterialBooleanToggleCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialBooleanToggleCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialBooleanToggleControl

- MaterialBooleanToggleControl(__namedParameters: { config: any; data: any; enabled: boolean; errors: string; handleChange: handleChange; id: string; label: string; path: string; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; visible: boolean }): Element

- - Defined in packages/material/src/controls/MaterialBooleanToggleControl.tsx:39

  #### Parameters

  - ##### __namedParameters: { config: any; data: any; enabled: boolean; errors: string; handleChange: handleChange; id: string; label: string; path: string; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; visible: boolean }

    - ##### config: any

    - ##### data: any

    - ##### enabled: boolean

    - ##### errors: string

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### label: string

    - ##### path: string

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialCategorizationLayoutRenderer

- MaterialCategorizationLayoutRenderer(props: MaterialCategorizationLayoutRendererProps): Element

- - Defined in packages/material/src/layouts/MaterialCategorizationLayout.tsx:79

  #### Parameters

  - ##### props: MaterialCategorizationLayoutRendererProps

  #### Returns Element

### Const MaterialCategorizationStepperLayoutRenderer

- MaterialCategorizationStepperLayoutRenderer(props: MaterialCategorizationStepperLayoutRendererProps): Element

- - Defined in packages/material/src/layouts/MaterialCategorizationStepperLayout.tsx:66

  #### Parameters

  - ##### props: MaterialCategorizationStepperLayoutRendererProps

  #### Returns Element

### Const MaterialDateCell

- MaterialDateCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialDateCell.tsx:37

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialDateControl

- MaterialDateControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialDateControl.tsx:46

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialDateTimeControl

- MaterialDateTimeControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialDateTimeControl.tsx:48

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialEnumArrayRenderer

- MaterialEnumArrayRenderer(__namedParameters: { addItem: (path: string, value: any) => void; data: any; errors: string; handleChange: handleChange; options: EnumOption[]; otherProps: otherProps; path: string; removeItem: (path: string, toDelete: any) => void; schema: JsonSchema; visible: boolean }): Element

- - Defined in packages/material/src/complex/MaterialEnumArrayRenderer.tsx:29

  #### Parameters

  - ##### __namedParameters: { addItem: (path: string, value: any) => void; data: any; errors: string; handleChange: handleChange; options: EnumOption[]; otherProps: otherProps; path: string; removeItem: (path: string, toDelete: any) => void; schema: JsonSchema; visible: boolean }

    - ##### addItem: (path: string, value: any) => void

      - - (path: string, value: any): void

        - #### Parameters

          - ##### path: string

          - ##### value: any

          #### Returns void

    - ##### data: any

    - ##### errors: string

    - ##### handleChange: handleChange

    - ##### options: EnumOption[]

    - ##### otherProps: otherProps

    - ##### path: string

    - ##### removeItem: (path: string, toDelete: any) => void

      - - (path: string, toDelete: any): void

        - #### Parameters

          - ##### path: string

          - ##### toDelete: any

          #### Returns void

    - ##### schema: JsonSchema

    - ##### visible: boolean

  #### Returns Element

### Const MaterialEnumCell

- MaterialEnumCell(props: EnumCellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialEnumCell.tsx:36

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MaterialEnumControl

- MaterialEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialEnumControl.tsx:37

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialHorizontalLayoutRenderer

- MaterialHorizontalLayoutRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }): Element

- - Defined in packages/material/src/layouts/MaterialHorizontalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialInputControl

- MaterialInputControl(props: ControlProps & WithInput): Element

- - Defined in packages/material/src/controls/MaterialInputControl.tsx:41

  #### Parameters

  - ##### props: ControlProps & WithInput

  #### Returns Element

### Const MaterialIntegerCell

- MaterialIntegerCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialIntegerCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialIntegerControl

- MaterialIntegerControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialIntegerControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialLabelRenderer

- MaterialLabelRenderer(__namedParameters: { uischema: UISchemaElement; visible: boolean }): Element

- - Defined in packages/material/src/additional/MaterialLabelRenderer.tsx:48

  Default renderer for a label.

  #### Parameters

  - ##### __namedParameters: { uischema: UISchemaElement; visible: boolean }

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialLayoutRendererComponent

- MaterialLayoutRendererComponent(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; direction: "column" | "row"; elements: UISchemaElement[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; visible: boolean }): Element

- - Defined in packages/material/src/util/layout.tsx:66

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; direction: "column" | "row"; elements: UISchemaElement[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### direction: "column" | "row"

    - ##### elements: UISchemaElement[]

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema

    - ##### visible: boolean

  #### Returns Element

### Const MaterialListWithDetailRenderer

- MaterialListWithDetailRenderer(__namedParameters: { addItem: addItem; cells: JsonFormsCellRendererRegistryEntry[]; config: any; data: number; errors: string; label: string; path: string; removeItems: removeItems; renderers: JsonFormsRendererRegistryEntry[]; required: boolean; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/additional/MaterialListWithDetailRenderer.tsx:49

  #### Parameters

  - ##### __namedParameters: { addItem: addItem; cells: JsonFormsCellRendererRegistryEntry[]; config: any; data: number; errors: string; label: string; path: string; removeItems: removeItems; renderers: JsonFormsRendererRegistryEntry[]; required: boolean; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### addItem: addItem

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### config: any

    - ##### data: number

    - ##### errors: string

    - ##### label: string

    - ##### path: string

    - ##### removeItems: removeItems

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### required: boolean

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialNativeControl

- MaterialNativeControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialNativeControl.tsx:42

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialNumberCell

- MaterialNumberCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialNumberCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialNumberControl

- MaterialNumberControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialNumberControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialNumberFormatCell

- MaterialNumberFormatCell(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in packages/material/src/cells/MaterialNumberFormatCell.tsx:37

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MaterialObjectRenderer

- MaterialObjectRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; label: string; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/complex/MaterialObjectRenderer.tsx:38

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; label: string; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### label: string

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialOneOfEnumCell

- MaterialOneOfEnumCell(props: EnumCellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialOneOfEnumCell.tsx:36

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MaterialOneOfEnumControl

- MaterialOneOfEnumControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialOneOfEnumControl.tsx:37

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialOneOfRadioGroupControl

- MaterialOneOfRadioGroupControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialOneOfRadioGroupControl.tsx:38

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialOneOfRenderer

- MaterialOneOfRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; data: any; handleChange: handleChange; id: string; indexOfFittingSchema: number; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }): Element

- - Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:60

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; data: any; handleChange: handleChange; id: string; indexOfFittingSchema: number; path: string; renderers: JsonFormsRendererRegistryEntry[]; rootSchema: JsonSchema; schema: JsonSchema; uischema: ControlElement; uischemas: JsonFormsUISchemaRegistryEntry[]; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### data: any

    - ##### handleChange: handleChange

    - ##### id: string

    - ##### indexOfFittingSchema: number

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### rootSchema: JsonSchema

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

    - ##### uischemas: JsonFormsUISchemaRegistryEntry[]

    - ##### visible: boolean

  #### Returns Element

### Const MaterialRadioGroup

- MaterialRadioGroup(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialRadioGroup.tsx:44

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialRadioGroupControl

- MaterialRadioGroupControl(props: ControlProps & OwnPropsOfEnum): Element

- - Defined in packages/material/src/controls/MaterialRadioGroupControl.tsx:34

  #### Parameters

  - ##### props: ControlProps & OwnPropsOfEnum

  #### Returns Element

### Const MaterialSliderControl

- MaterialSliderControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialSliderControl.tsx:47

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialTextCell

- MaterialTextCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialTextCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialTextControl

- MaterialTextControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialTextControl.tsx:36

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialTimeCell

- MaterialTimeCell(props: CellProps & WithClassname): Element

- - Defined in packages/material/src/cells/MaterialTimeCell.tsx:36

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialTimeControl

- MaterialTimeControl(props: ControlProps): Element

- - Defined in packages/material/src/controls/MaterialTimeControl.tsx:43

  #### Parameters

  - ##### props: ControlProps

  #### Returns Element

### Const MaterialVerticalLayoutRenderer

- MaterialVerticalLayoutRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }): Element

- - Defined in packages/material/src/layouts/MaterialVerticalLayout.tsx:48

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterializedGroupLayoutRenderer

- MaterializedGroupLayoutRenderer(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; direction: "column" | "row"; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }): Element

- - Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:61

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; direction: "column" | "row"; enabled: boolean; path: string; renderers: JsonFormsRendererRegistryEntry[]; schema: JsonSchema; uischema: UISchemaElement; visible: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### direction: "column" | "row"

    - ##### enabled: boolean

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MuiAutocomplete

- MuiAutocomplete(props: EnumCellProps & WithClassname & WithOptionLabel): Element

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:39

  #### Parameters

  - ##### props: EnumCellProps & WithClassname & WithOptionLabel

  #### Returns Element

### Const MuiAutocompleteInputText

- MuiAutocompleteInputText(props: EnumCellProps & WithClassname): Element

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:52

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const NoBorderTableCell

- NoBorderTableCell(__namedParameters: { children: any; classes: any; otherProps: any }): Element

- - Defined in packages/material/src/complex/NoBorderTableCell.tsx:35

  #### Parameters

  - ##### __namedParameters: { children: any; classes: any; otherProps: any }

    - ##### children: any

    - ##### classes: any

    - ##### otherProps: any

  #### Returns Element

### Const NonEmptyCell

- NonEmptyCell(ownProps: OwnPropsOfNonEmptyCell): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:241

  #### Parameters

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns Element

### Const NonEmptyRowComponent

- NonEmptyRowComponent(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; childPath: string; enableDown: boolean; enableUp: boolean; enabled: boolean; moveDownCreator: (path: string, position: number) => () => void; moveUpCreator: (path: string, position: number) => () => void; openDeleteDialog: openDeleteDialog; path: string; rowIndex: number; schema: JsonSchema; showSortButtons: boolean }): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:263

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; childPath: string; enableDown: boolean; enableUp: boolean; enabled: boolean; moveDownCreator: (path: string, position: number) => () => void; moveUpCreator: (path: string, position: number) => () => void; openDeleteDialog: openDeleteDialog; path: string; rowIndex: number; schema: JsonSchema; showSortButtons: boolean }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### childPath: string

    - ##### enableDown: boolean

    - ##### enableUp: boolean

    - ##### enabled: boolean

    - ##### moveDownCreator: (path: string, position: number) => () => void

      - - (path: string, position: number): () => void

        - #### Parameters

          - ##### path: string

          - ##### position: number

          #### Returns () => void

          - - (): void

            - #### Returns void

    - ##### moveUpCreator: (path: string, position: number) => () => void

      - - (path: string, position: number): () => void

        - #### Parameters

          - ##### path: string

          - ##### position: number

          #### Returns () => void

          - - (): void

            - #### Returns void

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### rowIndex: number

    - ##### schema: JsonSchema

    - ##### showSortButtons: boolean

  #### Returns Element

### Const TableRows

- TableRows(__namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; config: any; data: number; enabled: boolean; moveDown: moveDown; moveUp: moveUp; openDeleteDialog: openDeleteDialog; path: string; schema: JsonSchema; uischema: ControlElement }): Element

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:341

  #### Parameters

  - ##### __namedParameters: { cells: JsonFormsCellRendererRegistryEntry[]; config: any; data: number; enabled: boolean; moveDown: moveDown; moveUp: moveUp; openDeleteDialog: openDeleteDialog; path: string; schema: JsonSchema; uischema: ControlElement }

    - ##### cells: JsonFormsCellRendererRegistryEntry[]

    - ##### config: any

    - ##### data: number

    - ##### enabled: boolean

    - ##### moveDown: moveDown

    - ##### moveUp: moveUp

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### schema: JsonSchema

    - ##### uischema: ControlElement

  #### Returns Element

### Const ValidationIcon

- ValidationIcon(__namedParameters: { classes: ClassNameMap<"badge">; errorMessages: string; id: string }): Element

- - Defined in packages/material/src/complex/ValidationIcon.tsx:50

  #### Parameters

  - ##### __namedParameters: { classes: ClassNameMap<"badge">; errorMessages: string; id: string }

    - ##### classes: ClassNameMap<"badge">

    - ##### errorMessages: string

    - ##### id: string

  #### Returns Element

### Const controlWithoutLabel

- controlWithoutLabel(scope: string): ControlElement

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:192

  #### Parameters

  - ##### scope: string

  #### Returns ControlElement

### Const createOnChangeHandler

- createOnChangeHandler(path: string, handleChange: (path: string, value: any) => void, saveFormat: string | undefined): (Anonymous function)

- - Defined in packages/material/src/util/datejs.ts:7

  #### Parameters

  - ##### path: string

  - ##### handleChange: (path: string, value: any) => void

    - - (path: string, value: any): void

      - #### Parameters

        - ##### path: string

        - ##### value: any

        #### Returns void

  - ##### saveFormat: string | undefined

  #### Returns (Anonymous function)

### Const ctxDispatchToExpandPanelProps

- ctxDispatchToExpandPanelProps(dispatch: Dispatch<unknown>): { moveDown: (Anonymous function); moveUp: (Anonymous function); removeItems: (Anonymous function) }

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:213

  Maps state to dispatch properties of an expand pandel control.

  #### Parameters

  - ##### dispatch: Dispatch<unknown>

    the store's dispatch method

  #### Returns { moveDown: (Anonymous function); moveUp: (Anonymous function); removeItems: (Anonymous function) }

  dispatch props of an expand panel control

  - ##### moveDown: (Anonymous function)

  - ##### moveUp: (Anonymous function)

  - ##### removeItems: (Anonymous function)

### Const ctxToNonEmptyCellProps

- ctxToNonEmptyCellProps(ctx: JsonFormsStateContext, ownProps: OwnPropsOfNonEmptyCell): NonEmptyCellProps

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:163

  #### Parameters

  - ##### ctx: JsonFormsStateContext

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns NonEmptyCellProps

### Const eventToValue

- eventToValue(ev: any): any
- eventToValue(ev: any): number
- eventToValue(ev: any): number

- - Defined in packages/material/src/util/debounce.ts:29

  #### Parameters

  - ##### ev: any

  #### Returns any

- - Defined in packages/material/src/mui-controls/MuiInputInteger.tsx:33

  #### Parameters

  - ##### ev: any

  #### Returns number

- - Defined in packages/material/src/mui-controls/MuiInputNumber.tsx:33

  #### Parameters

  - ##### ev: any

  #### Returns number

### Const findEnumSchema

- findEnumSchema(schemas: JsonSchema[]): JsonSchema

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:45

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema

### Const findTextSchema

- findTextSchema(schemas: JsonSchema[]): JsonSchema

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:49

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema

### Const generateCells

- generateCells(Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>, schema: JsonSchema, rowPath: string, enabled: boolean, cells?: JsonFormsCellRendererRegistryEntry[]): Element | Element[]

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:86

  #### Parameters

  - ##### Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>

  - ##### schema: JsonSchema

  - ##### rowPath: string

  - ##### enabled: boolean

  - ##### Optional cells: JsonFormsCellRendererRegistryEntry[]

  #### Returns Element | Element[]

### Const getData

- getData(data: any, saveFormat: string | undefined): Dayjs | null

- - Defined in packages/material/src/util/datejs.ts:20

  #### Parameters

  - ##### data: any

  - ##### saveFormat: string | undefined

  #### Returns Dayjs | null

### Const getValidColumnProps

- getValidColumnProps(scopedSchema: JsonSchema): string[]

- - Defined in packages/material/src/complex/MaterialTableControl.tsx:119

  #### Parameters

  - ##### scopedSchema: JsonSchema

  #### Returns string[]

### Const hasEnumAndText

- hasEnumAndText(schemas: JsonSchema[]): boolean

- - Defined in packages/material/src/controls/MaterialAnyOfStringOrEnumControl.tsx:116

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns boolean

### Const hasEnumItems

- hasEnumItems(schema: JsonSchema): boolean

- - Defined in packages/material/src/complex/MaterialEnumArrayRenderer.tsx:91

  #### Parameters

  - ##### schema: JsonSchema

  #### Returns boolean

### Const hasOneOfItems

- hasOneOfItems(schema: JsonSchema): boolean

- - Defined in packages/material/src/complex/MaterialEnumArrayRenderer.tsx:84

  #### Parameters

  - ##### schema: JsonSchema

  #### Returns boolean

### Const isLayout

- isLayout(uischema: UISchemaElement): uischema is Layout

- - Defined in packages/material/src/complex/CombinatorProperties.tsx:36

  #### Parameters

  - ##### uischema: UISchemaElement

  #### Returns uischema is Layout

### Const renderLayoutElements

- renderLayoutElements(elements: UISchemaElement[], schema: JsonSchema, path: string, enabled: boolean, renderers?: JsonFormsRendererRegistryEntry[], cells?: JsonFormsCellRendererRegistryEntry[]): Element[]

- - Defined in packages/material/src/util/layout.tsx:40

  #### Parameters

  - ##### elements: UISchemaElement[]

  - ##### schema: JsonSchema

  - ##### path: string

  - ##### enabled: boolean

  - ##### Optional renderers: JsonFormsRendererRegistryEntry[]

  - ##### Optional cells: JsonFormsCellRendererRegistryEntry[]

  #### Returns Element[]

### Const toNumber

- toNumber(value: string): number
- toNumber(value: string): number

- - Defined in packages/material/src/mui-controls/MuiInputInteger.tsx:31

  #### Parameters

  - ##### value: string

  #### Returns number

- - Defined in packages/material/src/mui-controls/MuiInputNumber.tsx:31

  #### Parameters

  - ##### value: string

  #### Returns number

### Const useDebouncedChange

- useDebouncedChange(handleChange: (path: string, value: any) => void, defaultValue: any, data: any, path: string, eventToValueFunction?: (ev: any) => any, timeout?: number): [any, React.ChangeEventHandler, () => void]

- - Defined in packages/material/src/util/debounce.ts:30

  #### Parameters

  - ##### handleChange: (path: string, value: any) => void

    - - (path: string, value: any): void

      - #### Parameters

        - ##### path: string

        - ##### value: any

        #### Returns void

  - ##### defaultValue: any

  - ##### data: any

  - ##### path: string

  - ##### Default value eventToValueFunction: (ev: any) => any = eventToValue

    - - (ev: any): any

      - #### Parameters

        - ##### ev: any

        #### Returns any

  - ##### Default value timeout: number = 300

  #### Returns [any, React.ChangeEventHandler, () => void]

### Const useFocus

- useFocus(): [boolean, () => void, () => void]

- - Defined in packages/material/src/util/focus.ts:27

  #### Returns [boolean, () => void, () => void]

### Const withAjvProps

- withAjvProps<P>(Component: ComponentType<AjvProps & P>): (Anonymous function)

- - Defined in packages/material/src/util/layout.tsx:106

  #### Type parameters

  - #### P: {}

  #### Parameters

  - ##### Component: ComponentType<AjvProps & P>

  #### Returns (Anonymous function)

### Const withContextToExpandPanelProps

- withContextToExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:252

  Map state to control props.

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

  state props for a control

### Const withJsonFormsExpandPanelProps

- withJsonFormsExpandPanelProps(Component: ComponentType<ExpandPanelProps>): ComponentType<OwnPropsOfExpandPanel>

- - Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:277

  #### Parameters

  - ##### Component: ComponentType<ExpandPanelProps>

  #### Returns ComponentType<OwnPropsOfExpandPanel>

## Object literals

### Const ExtendedUnwrapped

ExtendedUnwrapped: object

- Defined in packages/material/src/extended/index.ts:53

### MaterialAutocompleteEnumControl

MaterialAutocompleteEnumControl: MaterialAutocompleteEnumControl = MaterialAutocompleteEnumControlUnwrapped

- Defined in packages/material/src/extended/index.ts:54

### MaterialAutocompleteOneOfEnumControl

MaterialAutocompleteOneOfEnumControl: MaterialAutocompleteOneOfEnumControl = MaterialAutocompleteOneOfEnumControlUnwrapped

- Defined in packages/material/src/extended/index.ts:55

### Const Unwrapped

Unwrapped: object

- Defined in packages/material/src/controls/index.ts:89

### MaterialAnyOfStringOrEnumControl

MaterialAnyOfStringOrEnumControl: MaterialAnyOfStringOrEnumControl = MaterialAnyOfStringOrEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:102

### MaterialBooleanControl

MaterialBooleanControl: MaterialBooleanControl = MaterialBooleanControlUnwrapped

- Defined in packages/material/src/controls/index.ts:90

### MaterialBooleanToggleControl

MaterialBooleanToggleControl: MaterialBooleanToggleControl = MaterialBooleanToggleControlUnwrapped

- Defined in packages/material/src/controls/index.ts:91

### MaterialDateControl

MaterialDateControl: MaterialDateControl = MaterialDateControlUnwrapped

- Defined in packages/material/src/controls/index.ts:94

### MaterialDateTimeControl

MaterialDateTimeControl: MaterialDateTimeControl = MaterialDateTimeControlUnwrapped

- Defined in packages/material/src/controls/index.ts:95

### MaterialEnumControl

MaterialEnumControl: MaterialEnumControl = MaterialEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:92

### MaterialIntegerControl

MaterialIntegerControl: MaterialIntegerControl = MaterialIntegerControlUnwrapped

- Defined in packages/material/src/controls/index.ts:99

### MaterialNativeControl

MaterialNativeControl: MaterialNativeControl = MaterialNativeControlUnwrapped

- Defined in packages/material/src/controls/index.ts:93

### MaterialNumberControl

MaterialNumberControl: MaterialNumberControl = MaterialNumberControlUnwrapped

- Defined in packages/material/src/controls/index.ts:100

### MaterialOneOfEnumControl

MaterialOneOfEnumControl: MaterialOneOfEnumControl = MaterialOneOfEnumControlUnwrapped

- Defined in packages/material/src/controls/index.ts:103

### MaterialOneOfRadioGroupControl

MaterialOneOfRadioGroupControl: MaterialOneOfRadioGroupControl = MaterialOneOfRadioGroupControlUnwrapped

- Defined in packages/material/src/controls/index.ts:104

### MaterialRadioGroupControl

MaterialRadioGroupControl: MaterialRadioGroupControl = MaterialRadioGroupControlUnwrapped

- Defined in packages/material/src/controls/index.ts:98

### MaterialSliderControl

MaterialSliderControl: MaterialSliderControl = MaterialSliderControlUnwrapped

- Defined in packages/material/src/controls/index.ts:97

### MaterialTextControl

MaterialTextControl: MaterialTextControl = MaterialTextControlUnwrapped

- Defined in packages/material/src/controls/index.ts:101

### MaterialTimeControl

MaterialTimeControl: MaterialTimeControl = MaterialTimeControlUnwrapped

- Defined in packages/material/src/controls/index.ts:96

### Const fixedCellSmall

fixedCellSmall: object

- Defined in packages/material/src/complex/TableToolbar.tsx:51

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/TableToolbar.tsx:52

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/TableToolbar.tsx:53

### Const iconStyle

iconStyle: object

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:36

### float

float: string = "right"

- Defined in packages/material/src/layouts/ExpandPanelRenderer.tsx:36

### Const style

style: object

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:43

### marginBottom

marginBottom: string = "10px"

- Defined in packages/material/src/layouts/MaterialGroupLayout.tsx:43

### Const styles

styles: object = createStyles(({ palette }: Theme) => ({badge: {color: palette.error.main}}))

- Defined in packages/material/src/complex/ValidationIcon.tsx:39
- Defined in packages/material/src/complex/NoBorderTableCell.tsx:29
- Defined in packages/material/src/complex/MaterialTableControl.tsx:69

### fixedCell

fixedCell: object

- Defined in packages/material/src/complex/MaterialTableControl.tsx:70

### height

height: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:72

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:73

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:74

### textAlign

textAlign: string = "center"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:75

### width

width: string = "150px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:71

### fixedCellSmall

fixedCellSmall: object

- Defined in packages/material/src/complex/MaterialTableControl.tsx:77

### height

height: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:79

### paddingLeft

paddingLeft: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:80

### paddingRight

paddingRight: number = 0

- Defined in packages/material/src/complex/MaterialTableControl.tsx:81

### textAlign

textAlign: string = "center"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:82

### width

width: string = "50px"

- Defined in packages/material/src/complex/MaterialTableControl.tsx:78

### noBottomBorder

noBottomBorder: object

- Defined in packages/material/src/complex/NoBorderTableCell.tsx:30

### borderBottom

borderBottom: string = "none"

- Defined in packages/material/src/complex/NoBorderTableCell.tsx:31

Generated using TypeDoc